/* */
/* Icon List styling */
.city-filters {
    margin-bottom: 20px;
}

.city-filters .icon-list {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    column-gap: 35px;
    row-gap: 15px;
    flex-wrap: wrap;
    justify-content: center;
}

.city-filters .icon-list li {
    color: #737373;
    font-size: 20px;
    cursor: pointer;
    display: inline-block;
    transition: background-color 0.3s;
}

.city-filters .icon-list li.active{
    color: #212529;
}

.city-filters .city-filter-dropdown,
.city-filters .select2-container {
    display: none !important;
}

/* Store Grid styling */
.stores-grid {
    margin-top: 105px;
    display: grid;
    grid-template-columns: repeat(5, auto);
    grid-gap: 10px;
}

.store-item {
    padding: 45px 30px;
    border: 1px solid #D9D9D9;
    text-align: left;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    background-color: #FFF;
}

/* Ensure that the title and other content wrap correctly */
.store-item h3 {
    margin: 0 0 10px;
    padding: 0;
    color: #212529;
    font-size: 28px;
    font-weight: 500;
}

.store-item p,
.store-item p a{
    color: #737373;
    font-size: 24px;
    font-weight: 200;
}

.store-item p a:hover{
    color: #AD8D5C;
}

/* Select2 */
.select2-container .select2-selection--single,
.select2-container--default.select2-container .select2-selection--single {
    outline: 0;
    display: block;
    width: 100%;
    height: auto;
    padding: 10px 15px;
    font-size: 16px;
    font-weight: 400;
    line-height: 1.5;
    color: HSL(var(--neutral-7));
    background-color: HSL(var(--neutral-0));
    background-clip: padding-box;
    border: 1px solid HSL(var(--neutral-4));
    transition: .2s var(--easeoutcubic,ease-out);
    transition-property: border-color,box-shadow;
    border-radius: 2px;
}

.select2-container.select2-container--default .select2-selection--single {
    border-radius:2px;
}

.select2-container.select2-container--default .select2-selection--single .select2-selection__arrow {
    height:26px;
    top:calc(50% - 13px);
    right:7px;
}

.select2-container.select2-container--default .select2-selection--single .select2-selection__rendered {
    padding-left:0;
    padding-right:0;
    line-height:1.5;
    color:HSL(var(--neutral-7));
}

.select2-container.select2-container--default .select2-selection--single .select2-selection__clear {
    margin-inline-end:1.2em;
    line-height:1.2;
}

.select2-container.select2-container--default.select2-container--open .select2-selection--single {
    border-color:HSL(var(--neutral-5));
}

.select2-container.select2-container--default.select2-container--open .select2-dropdown {
    background-color:HSL(var(--neutral-0));
    border-color:HSL(var(--neutral-4));
}

.select2-container.select2-container--default .select2-search--dropdown {
    padding:14px;
}

.select2-container.select2-container--default .select2-search--dropdown .select2-search__field {
    border-color:HSL(var(--neutral-5));
    height: auto;
    font-size: 16px;
    padding: 10px;
}

.select2-container.select2-container--default .select2-results__option{
    font-size: 18px;
    font-weight: 500;
}

.select2-container--default .select2-results__option--highlighted[aria-selected]{
    background-color: #ad8d5c;
    color: white;
}

.select2-container.select2-container--default .select2-results__option {
    font-size: 18px;
    font-weight: 500;
    padding-left:15px;
    padding-right:15px;
}

.select2-container.select2-container--default .select2-results__option[data-selected=true] {
    background-color:HSL(var(--neutral-3));
    color:HSL(var(--neutral-10));
}

.select2-container.select2-container--default .select2-results__option[aria-selected=true] {
    background-color:HSL(var(--neutral-8));
    color:HSL(var(--neutral-0));
}

/*******************************************************************/
/****************************** Medias ******************************/
/*******************************************************************/
@media (max-width: 1366px) { 
    /* Store Grid styling */
    .stores-grid {
        grid-template-columns: repeat(4, auto);
    }

    .store-item{
        padding: 40px 30px;
    }

    .store-item h3{
        font-size: 26px;
    }

    .store-item p, .store-item p a{
        font-size: 24px;
    }
}

@media (max-width: 1200px) { 
    /* Store Grid styling */
    .stores-grid {
        margin-top: 80px;
        grid-template-columns: repeat(4, auto);
    }

    .store-item{
        padding: 35px 30px;
    }

    .store-item h3{
        font-size: 24px;
    }

    .store-item p, .store-item p a{
        font-size: 22px;
    }

    .city-filters .icon-list{
        column-gap: 30px;
        row-gap: 12px;
    }

    .city-filters .icon-list li{
        font-size: 18px;
    }
}

@media (max-width: 1024px) { 
    /* Store Grid styling */
    .stores-grid {
        margin-top: 60px;
        grid-template-columns: repeat(3, auto);
    }

    .store-item{
        padding: 30px 25px;
    }

    .store-item h3{
        font-size: 22px;
    }

    .store-item p, .store-item p a{
        font-size: 20px;
    }

    .city-filters .icon-list{
        display: none;
    }

    .city-filters .select2-container {
        display: block !important;
        width: 100%;
    }
}

@media (max-width: 767px) { 
    /* Store Grid styling */
    .stores-grid {
        margin-top: 40px;
        grid-template-columns: repeat(2, auto);
    }

    .store-item{
        padding: 20px 20px;
    }

    .store-item h3{
        margin: 0 0 5px;
        font-size: 20px;
    }

    .store-item p, .store-item p a{
        font-size: 18px;
    }
}

@media (max-width: 500px) {
    /* Store Grid styling */
    .stores-grid {
        grid-template-columns: 1fr;
    }
}